<?php
/*
 ログ出力 クラス
*/
class log {

	//ログ出力先ファイル
	protected static $file;

	//日付フォーマット
	public static $date = "Y-m-d H:i:s";

	//付加ヘッダ情報
	public static $header = "";

	/*
	 機能 ログの出力
	 引数 $message ログの内容
	 戻値 なし
	*/
	public static function put($message) {
		$message = date(self::$date).rtrim(" ".self::$header, " ")." ".$message."\n";
		error_log($message, 3, self::$file);
	}

	/*
	 機能 ログの出力先の設定
	 引数 $file ログの内容
	 戻値 なし
	*/
	public static function setfile($file) {
		self::$file = $file;
	}

	/*
	 機能 ログのヘッダ情報の設定
	 引数 $header 付加ヘッダ情報
			※ getmypid()を設定すると複数実行時のプロセスの区別に役立ちます
	      $date 日付フォーマット
	 戻値 なし
	*/
	public static function setheader($header, $date=NULL) {
		self::$header = $header;
		if ($date)
			self::$date = $date;
	}
	/*
	 機能 PHPのエラーメッセージの出力先をログファイルへ設定する
	 引数 $reporting エラーのレベル (E_ALL ^ E_NOTICE など)
	 戻値 なし
	*/
	public static function setphperror($reporting=NULL) {
		ini_set("log_errors", 1);
		ini_set("error_log", self::$file);
		if (isset($reporting))
			error_reporting($reporting);
	}

} //クラスの終り
?>